#!/bin/false
# Determines which repo URL to use

(return 0 2>/dev/null) && SOURCED=1 || SOURCED=0
if [[ $SOURCED == 0 ]]; then
    echo "This script must be sourced, not invoked directly"
    exit 1
fi

if [[ -n "$SSH_PRIVATE_KEY" ]]; then
    ORCHESTRA_REPO_URL="$ORCHESTRA_REPO_SSH_URL"
    CONFIG_REPO_URL="$CONFIG_REPO_SSH_URL"
else
    ORCHESTRA_REPO_URL="$ORCHESTRA_REPO_HTTP_URL"
    CONFIG_REPO_URL="$CONFIG_REPO_HTTP_URL"
fi
